package com.qmth.sop.business.bean.result;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

/**
 * @Description: 打卡界面数据
 * @Author: CaoZixuan
 * @Date: 2023-09-01
 */
public class DingElementResult {
    // 用户档案信息
    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty("用户档案id")
    private Long userArchivesId;
    @ApiModelProperty("用户档案名")
    private String userArchivesName;
    @ApiModelProperty("档案照片")
    private String basePhotoPath;

    // 签到信息
    @ApiModelProperty("签到时间")
    private Long signInTime;
    @ApiModelProperty("签到地址")
    private String signInAddress;
    @ApiModelProperty("签到时间段")
    private String signInTimeScope;

    // 签退信息
    @ApiModelProperty("签退时间")
    private Long signOutTime;
    @ApiModelProperty("签退地址")
    private String signOutAddress;
    @ApiModelProperty("签退时间段")
    private String signOutTimeScope;

    // 实际打卡的sop
    @ApiModelProperty("实际打卡的sop")
    private String dingSopNo;

    @ApiModelProperty(value = "是否开启人脸，0：不开启，1：开启")
    private Boolean faceOpen;

    @ApiModelProperty("允许补卡次数")
    private Integer reissueCardCount;

    @JsonSerialize(using = ToStringSerializer.class)
    private Long dingGroupId;

    public Long getUserArchivesId() {
        return userArchivesId;
    }

    public void setUserArchivesId(Long userArchivesId) {
        this.userArchivesId = userArchivesId;
    }

    public String getUserArchivesName() {
        return userArchivesName;
    }

    public void setUserArchivesName(String userArchivesName) {
        this.userArchivesName = userArchivesName;
    }

    public String getBasePhotoPath() {
        return basePhotoPath;
    }

    public void setBasePhotoPath(String basePhotoPath) {
        this.basePhotoPath = basePhotoPath;
    }

    public Long getSignInTime() {
        return signInTime;
    }

    public void setSignInTime(Long signInTime) {
        this.signInTime = signInTime;
    }

    public String getSignInAddress() {
        return signInAddress;
    }

    public void setSignInAddress(String signInAddress) {
        this.signInAddress = signInAddress;
    }

    public String getSignInTimeScope() {
        return signInTimeScope;
    }

    public void setSignInTimeScope(String signInTimeScope) {
        this.signInTimeScope = signInTimeScope;
    }

    public Long getSignOutTime() {
        return signOutTime;
    }

    public void setSignOutTime(Long signOutTime) {
        this.signOutTime = signOutTime;
    }

    public String getSignOutAddress() {
        return signOutAddress;
    }

    public void setSignOutAddress(String signOutAddress) {
        this.signOutAddress = signOutAddress;
    }

    public String getSignOutTimeScope() {
        return signOutTimeScope;
    }

    public void setSignOutTimeScope(String signOutTimeScope) {
        this.signOutTimeScope = signOutTimeScope;
    }

    public String getDingSopNo() {
        return dingSopNo;
    }

    public void setDingSopNo(String dingSopNo) {
        this.dingSopNo = dingSopNo;
    }

    public Boolean getFaceOpen() {
        return faceOpen;
    }

    public void setFaceOpen(Boolean faceOpen) {
        this.faceOpen = faceOpen;
    }

    public Integer getReissueCardCount() {
        return reissueCardCount;
    }

    public void setReissueCardCount(Integer reissueCardCount) {
        this.reissueCardCount = reissueCardCount;
    }

    public Long getDingGroupId() {
        return dingGroupId;
    }

    public void setDingGroupId(Long dingGroupId) {
        this.dingGroupId = dingGroupId;
    }
}
